import React from 'react';
import PropTypes from 'prop-types';

export function NavigationBtn(props) {
    const activeBtnClass = 'bg-blue-500 hover:bg-blue-600 text-white font-bold py-2 px-4 rounded';
    const disabledBtnClass = 'bg-blue-500 text-white font-bold py-2 px-4 rounded opacity-50 cursor-not-allowed';
    const btnClass = props.disabled ? disabledBtnClass : activeBtnClass;
    return <>
        <button
            disabled={props.disabled}
            className={btnClass}
            onClick={props.handleClick}
        >
            {props.value}
        </button>
    </>
}

NavigationBtn.propTypes = {
    type: PropTypes.string,
    value: PropTypes.string,
    disabled: PropTypes.bool,
    handleClick: PropTypes.func,
}

NavigationBtn.propTypes = {
    type: 'button',
    value: 'Sign in',
    disabled: true,
    handleClick: () => {
    },
}
