'use client'

import React, {useContext} from 'react';
import {useFetchAvailableServers} from '@/hooks';
import {AppContext} from '@/context/AppContext';
import {SearchableSelect} from '@/components/common';
import {formatServerOptions} from '@/utils';

export function ServerSelector() {
    const {servers} = useFetchAvailableServers();
    const {currentServer, setCurrentServer} = useContext(AppContext);
    const options = formatServerOptions(servers);

    return <>
        <label htmlFor="server" className="bg-opacity-0 block bg-white"></label>
        <SearchableSelect
            options={options}
            value={currentServer}
            placeholder="Select site..."
            onChange={(option) => {setCurrentServer(option ? option.value : '')}}
        />
    </>
}
